# This file created by conda-build 26.1.0
# meta.yaml template originally from:
# /home/task_177365209447293/platformdirs-feedstock/recipe, last modified Mon Mar 16 09:22:19 2026
# ------------------------------------------------

package:
  name: platformdirs
  version: 4.9.4
source:
  url: https://pypi.org/packages/source/p/platformdirs/platformdirs-4.9.4.tar.gz
  sha256: 1ec356301b7dc906d83f371c8f487070e99d3ccf9e501686456394622a01a934
build:
  number: '0'
  script: /home/task_177365209447293/croot/platformdirs_1773652962542/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2025.12.2 h06a4308_0
    - hatch-vcs 0.5.0 py314h06a4308_0
    - hatchling 1.29.0 py314h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.7.4 h7354ed3_0
    - libffi 3.4.4 h6a678d5_1
    - libgcc 15.2.0 h69a1729_7
    - libgcc-ng 15.2.0 h166f726_7
    - libgomp 15.2.0 h4751f2c_7
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 hb25bd0a_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.5 h1b28b03_0
    - packaging 25.0 py314h06a4308_1
    - pathspec 1.0.4 py314h06a4308_0
    - pip 26.0.1 pyhc872135_0
    - pluggy 1.5.0 py314h06a4308_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.3 h490e9c7_101_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - setuptools 80.10.2 py314h06a4308_0
    - setuptools-scm 9.2.2 py314h06a4308_0
    - sqlite 3.51.2 h3e8d24a_0
    - tk 8.6.15 h54e0aa7_0
    - trove-classifiers 2026.1.14.14 py314h06a4308_0
    - tzdata 2026a he532380_0
    - wheel 0.46.3 py314h06a4308_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 hb25bd0a_0
    - zstd 1.5.7 h11fc155_0
  run:
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
test:
  source_files:
    - tests
  imports:
    - platformdirs
  requires:
    - appdirs >=1.4.4
    - pip
    - pytest >=9.0.2
    - pytest-mock >=3.15.1
  commands:
    - pip check
    - pytest tests -vv
about:
  home: https://github.com/platformdirs/platformdirs
  license: MIT
  license_family: MIT
  license_file: LICENSE
  description: 'About A small Python module for determining appropriate

    platform-specific dirs, e.g. a "user data dir".

    '
  summary: A small Python module for determining appropriate platform-specific dirs,
    e.g. a "user data dir".
  dev_url: https://github.com/platformdirs/platformdirs
  doc_url: https://platformdirs.readthedocs.io
extra:
  recipe-maintainers:
    - adament
    - gaborbernat
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/platformdirs-feedstock
  sha: b9f1a53645277ecb7c1fbe232dc06903d0d7bd94
  task_id: aTCajMWMRp28GDWedwlAzw
  task_run_id: '0'
  pbp_graph_uuid: 458a4be4-704d-4b51-a763-d4895a6c529a
